NumberReplicas.StoredReplicaState (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.blockmanagement, class: NumberReplicas, enum: StoredReplicaState

Package org.apache.hadoop.hdfs.server.blockmanagement

# Enum Class NumberReplicas.StoredReplicaState

java.lang.Object
java.lang.Enum<NumberReplicas.StoredReplicaState>
org.apache.hadoop.hdfs.server.blockmanagement.NumberReplicas.StoredReplicaState

All Implemented Interfaces:
  `Serializable`, `Comparable<NumberReplicas.StoredReplicaState>`, `Constable`

Enclosing class:
  org.apache.hadoop.hdfs.server.blockmanagement.NumberReplicas

public static enum NumberReplicas.StoredReplicaState extends Enum<NumberReplicas.StoredReplicaState>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CORRUPT`
  `DECOMMISSIONED`
  `DECOMMISSIONING`
  `EXCESS`
  `LIVE`
  `MAINTENANCE_FOR_READ`
  `MAINTENANCE_NOT_FOR_READ`
  `READONLY`
  `REDUNDANT`
  `STALESTORAGE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NumberReplicas.StoredReplicaState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NumberReplicas.StoredReplicaState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LIVE

    public static final NumberReplicas.StoredReplicaState LIVE

  - ### READONLY

    public static final NumberReplicas.StoredReplicaState READONLY

  - ### DECOMMISSIONING

    public static final NumberReplicas.StoredReplicaState DECOMMISSIONING

  - ### DECOMMISSIONED

    public static final NumberReplicas.StoredReplicaState DECOMMISSIONED

  - ### MAINTENANCE_NOT_FOR_READ

    public static final NumberReplicas.StoredReplicaState MAINTENANCE_NOT_FOR_READ

  - ### MAINTENANCE_FOR_READ

    public static final NumberReplicas.StoredReplicaState MAINTENANCE_FOR_READ

  - ### CORRUPT

    public static final NumberReplicas.StoredReplicaState CORRUPT

  - ### EXCESS

    public static final NumberReplicas.StoredReplicaState EXCESS

  - ### STALESTORAGE

    public static final NumberReplicas.StoredReplicaState STALESTORAGE

  - ### REDUNDANT

    public static final NumberReplicas.StoredReplicaState REDUNDANT

- ## Method Details

  - ### values

    public static NumberReplicas.StoredReplicaState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NumberReplicas.StoredReplicaState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null